Get a Specific Connected Workflow

Purpose

To retrieve the complete configuration of a specific connected workflow configured in your Zoho CRM account.

Endpoints

  • GET /settings/connected_workflows/{connected_workflow_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/connected_workflows/{connected_workflow_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.connected_workflows.READ
(or)
ZohoCRM.settings.connected_workflows.ALL
(or)
ZohoCRM.settings.ALL

Note

  • Connected workflows are available in the following editions of Zoho CRM : Standard, Professional, Enterprise, and Ultimate
  • The user must have Manage Automations or Manage Connected Workflows permission enabled to access this API.
Parameters
  • include_inner_detailsstring, optional

    To include additional details like label and data type for fields in execute_when criteria. Specify the required fields in comma-separated format. 
    Possible values : execute_when.details.criteria.field.field_label, execute_when.details.criteria.field.data_type

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/connected_workflows/4876876000019209017"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The response contains a connected_workflows array, with each object representing a connected workflow. Each object in the array contains the following keys:

  • idstring

    Represents the unique identifier of the connected workflow.

  • namestring

    Represents the name of the connected workflow.

  • descriptionstring

    Represents the description of the connected workflow.

  • statusstring

    Represents the active status of the connected workflow. 
    Possible values: active, inactive, draft

  • sequence_numberinteger

    Represents the order or sequence number of the connected workflow.

  • created_timedatetime

    Timestamp when the connected workflow was created.

  • created_byJSON object

    Contains the details of the user who created the connected workflow.

  • modified_timedatetime

    Timestamp when the connected workflow was last modified.

  • modified_byJSON object

    Contains the details of the User who last modified the connected workflow.

  • primary_moduleJSON object

    Contains the details of the primary module the connected workflow is associated with.

  • nodesJSON array

    Contains the detailed information about all nodes in the workflow including their configuration. Each node represents a specific module and the triggers and actions associated with it.

    • idstring

      Represents the unique identifier for a specific node in the connected workflow.

    • creation_typestring

      Indicates how the node is created. 
      Possible values: root, automatic, manual.

    • moduleJSON object

      Contains the details of the module associated with the node.

    • rulesJSON array

      Represents the list of rules that control when and how the node is created. For instance, if a record in the Demo Request module is created automatically when a Deal record’s Status field changes to Qualified, then this condition is represented as a rule inside the rules array for the Demo Request workflow node.

      This value will be null if no rules are configured for the node or when creation_type is manual.

      Each rules object contains:

      • idstring

        Represents the unique identifier of the rule.

      • execute_whenJSON object

        Contains details of the trigger conditions for rule execution.

        • typestring

          Represents the trigger type of the rule.
          Possible values: create, edit, create_or_edit, field_update.

        • detailsJSON object

          Contains the detailed configuration of the trigger.

          • trigger_moduleJSON object

            Represents the details of the module that triggers the rule.

          • repeat Boolean

            Indicates whether the rule should be executed repeatedly every time the record is updated when the criteria are satisfied.

          • criteriaJSON object

            Represents the conditions that must be met for the rule to execute, including the field to be evaluated, the comparison type and operator, and the value to compare against.

  • connectionsJSON array

    Contains the list of relationships defining how the workflow nodes are connected. Each object contains a from and to node representing the flow between them.

  • involved_modulesJSON array

    Contains the details of all modules that are referenced or used by this workflow. Each object contains the display label, the API name and the unique ID of the module.

Additional JSON fields with include_inner_details parameter

When using the include_inner_details parameter, the following additional fields are included in the response:

  • rules.execute_when.details.criteria.field.field_labelstring

    Contains the label of the field used in the trigger criteria.

  • rules.execute_when.details.criteria.field.data_typestring

    The data type of the field used in the trigger criteria.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: This API supports only the GET method. Retry the request using the GET method.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in Server. Contact support team.

Sample Response

Copied{
    "connected_workflows": [
        {
            "created_time": "2026-01-08T12:02:54+05:30",
            "description": "Automating the process to successfully close a deal   ",
            "created_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "sequence_number": 4,
            "modified_time": "2026-01-12T12:22:48+05:30",
            "nodes": [
                {
                    "creation_type": "automatic",
                    "module": {
                        "plural_label": "Customer Onboarding",
                        "api_name": "Customer_Onboarding",
                        "id": "4876876000019056017"
                    },
                    "rules": [
                        {
                            "execute_when": {
                                "details": {
                                    "trigger_module": {
                                        "api_name": "Deals",
                                        "id": "4876876000000002181"
                                    },
                                    "criteria": {
                                        "comparator": "equal",
                                        "field": {
                                            "api_name": "Stage",
                                            "id": "4876876000000002565"
                                        },
                                        "type": "value",
                                        "value": "Closed Won"
                                    },
                                    "repeat": true
                                },
                                "type": "field_update"
                            },
                            "id": "4876876000019214807"
                        }
                    ],
                    "id": "4876876000019214819"
                },
                {
                    "creation_type": "automatic",
                    "module": {
                        "plural_label": "Trainings",
                        "api_name": "Trainings",
                        "id": "4876876000019216350"
                    },
                    "rules": [
                        {
                            "execute_when": {
                                "details": {
                                    "trigger_module": {
                                        "api_name": "Customer_Onboarding",
                                        "id": "4876876000019056017"
                                    },
                                    "criteria": {
                                        "comparator": "equal",
                                        "field": {
                                            "api_name": "Status",
                                            "id": "4876876000019057320"
                                        },
                                        "type": "value",
                                        "value": "Completed"
                                    },
                                    "repeat": true
                                },
                                "type": "field_update"
                            },
                            "id": "4876876000019216341"
                        }
                    ],
                    "id": "4876876000019217796"
                },
                {
                    "creation_type": "root",
                    "module": {
                        "plural_label": "Deals",
                        "api_name": "Deals",
                        "id": "4876876000000002181"
                    },
                    "rules": null,
                    "id": "4876876000019209019"
                },
                {
                    "creation_type": "automatic",
                    "module": {
                        "plural_label": "Case Study",
                        "api_name": "Case_Study",
                        "id": "4876876000019209033"
                    },
                    "rules": [
                        {
                            "execute_when": {
                                "details": {
                                    "trigger_module": {
                                        "api_name": "Deals",
                                        "id": "4876876000000002181"
                                    }
                                },
                                "type": "create"
                            },
                            "id": "4876876000019209027"
                        }
                    ],
                    "id": "4876876000019212192"
                },
                {
                    "creation_type": "automatic",
                    "module": {
                        "plural_label": "Demo Request",
                        "api_name": "Demo_Request",
                        "id": "4876876000019212206"
                    },
                    "rules": [
                        {
                            "execute_when": {
                                "details": {
                                    "trigger_module": {
                                        "api_name": "Deals",
                                        "id": "4876876000000002181"
                                    },
                                    "criteria": {
                                        "comparator": "equal",
                                        "field": {
                                            "api_name": "Status",
                                            "id": "4876876000011097036"
                                        },
                                        "type": "value",
                                        "value": "Planning"
                                    },
                                    "repeat": true
                                },
                                "type": "field_update"
                            },
                            "id": "4876876000019212197"
                        }
                    ],
                    "id": "4876876000019214786"
                },
                {
                    "creation_type": "manual",
                    "module": {
                        "plural_label": "Feedbacks",
                        "api_name": "Feedbacks",
                        "id": "4876876000019214873"
                    },
                    "rules": null,
                    "id": "4876876000019216314"
                }
            ],
            "name": "Deal Closure Process",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "4876876000001360001"
            },
            "id": "4876876000019209017",
            "primary_module": {
                "api_name": "Deals",
                "id": "4876876000000002181"
            },
            "connections": [
                {
                    "from": {
                        "id": "4876876000019209019"
                    },
                    "to": {
                        "id": "4876876000019212192"
                    }
                },
                {
                    "from": {
                        "id": "4876876000019209019"
                    },
                    "to": {
                        "id": "4876876000019214786"
                    }
                },
                {
                    "from": {
                        "id": "4876876000019209019"
                    },
                    "to": {
                        "id": "4876876000019214819"
                    }
                },
                {
                    "from": {
                        "id": "4876876000019214786"
                    },
                    "to": {
                        "id": "4876876000019216314"
                    }
                },
                {
                    "from": {
                        "id": "4876876000019214819"
                    },
                    "to": {
                        "id": "4876876000019217796"
                    }
                }
            ],
            "status": "active",
            "involved_modules": [
                {
                    "display_label": "Case Study",
                    "api_name": "Case_Study",
                    "id": "4876876000019209033"
                },
                {
                    "display_label": "Feedbacks",
                    "api_name": "Feedbacks",
                    "id": "4876876000019214873"
                },
                {
                    "display_label": "Leads",
                    "api_name": "Leads",
                    "id": "4876876000000002175"
                },
                {
                    "display_label": "Demo Request",
                    "api_name": "Demo_Request",
                    "id": "4876876000019212206"
                },
                {
                    "display_label": "Trainings",
                    "api_name": "Trainings",
                    "id": "4876876000019216350"
                },
                {
                    "display_label": "Deals",
                    "api_name": "Deals",
                    "id": "4876876000000002181"
                },
                {
                    "display_label": "Accounts",
                    "api_name": "Accounts",
                    "id": "4876876000000002177"
                },
                {
                    "display_label": "Customer Onboarding",
                    "api_name": "Customer_Onboarding",
                    "id": "4876876000019056017"
                }
            ]
        }
    ]
}